# class KShellCompletion | Shell-like completion of file names. More...
Definition | `#include <kshellcompletion.h>`
Inherits | KURLCompletion [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KShellCompletion ()
- QString makeCompletion (const QString&)

#### Protected Methods

- void postProcessMatch ( QString *match )
- void postProcessMatches ( QStringList *matches )

## Detailed Description

This class does shell-like completion of file names. A string passed to makeCompletion() will be interpreted as a shell command line. Completion will be done on the last argument on the line. Returned matches consist of the first arguments (uncompleted) plus the completed last argument.

KShellCompletion () | ### KShellCompletion

QString makeCompletion (const QString&) | ### makeCompletion

Find completions to the given text The first match is returned and emitted in the signal match()

Reimplemented from KURLCompletion.

void postProcessMatch ( QString *match ) | ### postProcessMatch

[protected]

Reimplemented from KURLCompletion.

void postProcessMatches ( QStringList *matches ) | ### postProcessMatches

[protected]

Reimplemented from KURLCompletion.

- Version: $Id:
- Author: David Smith <dsmith@algonet.se>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.